geos::index::chain::MonotoneChainBuilder Class Reference

Constructs MonotoneChains for sequences of Coordinates. More...

`#include <MonotoneChainBuilder.h>`

## Public Member Functions

| MonotoneChainBuilder (const MonotoneChainBuilder &)=delete
MonotoneChainBuilder & | operator= (const MonotoneChainBuilder &)=delete

## Static Public Member Functions

static void | getChains (const geom::CoordinateSequence *pts, void *context, std::vector< MonotoneChain > &mcList)
| Computes a list of the `MonotoneChain`s for a list of coordinates, attaching a context data object to each.

## Detailed Description

Constructs MonotoneChains for sequences of Coordinates.

TODO: use vector<const Coordinate*> instead ?

## Constructor & Destructor Documentation

## MonotoneChainBuilder()

geos::index::chain::MonotoneChainBuilder::MonotoneChainBuilder | ( | const MonotoneChainBuilder & |  | ) |

delete

Disable copy construction and assignment. Apparently needed to make this class compile under MSVC. (See https://stackoverflow.com/q/29565299)

References MonotoneChainBuilder().

Referenced by MonotoneChainBuilder().

## Member Function Documentation

## getChains()

void geos::index::chain::MonotoneChainBuilder::getChains | ( | const geom::CoordinateSequence * | pts,
|  | void * | context,
|  | std::vector< MonotoneChain > & | mcList )

static

Computes a list of the `MonotoneChain`s for a list of coordinates, attaching a context data object to each.

Parameters

  | pts | the list of points to compute chains for
  | context | a data object to attach to each chain
  [out] | mcList | a list of the monotone chains for the points

The documentation for this class was generated from the following file:

- MonotoneChainBuilder.h